Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.base
Class JRBaseExpressionChunk

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseExpressionChunk

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRCloneable, JRExpressionChunk

Direct Known Subclasses:
  JRDesignExpressionChunk

    public class JRBaseExpressionChunk

extends java.lang.Object
implements JRExpressionChunk, java.io.Serializable

Version:
  $Id: JRBaseExpressionChunk.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `text`
`protected byte` | `type`

Fields inherited from interface net.sf.jasperreports.engine.JRExpressionChunk
`TYPE_FIELD, TYPE_PARAMETER, TYPE_RESOURCE, TYPE_TEXT, TYPE_VARIABLE`

Constructor Summary
`protected` | `JRBaseExpressionChunk()`
`protected` | `JRBaseExpressionChunk(JRExpressionChunk queryChunk, JRBaseObjectFactory factory)`

Method Summary
`java.lang.Object` | `clone()`
`java.lang.String` | `getText()`
`byte` | `getType()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    protected byte type

### text

    protected java.lang.String text

Constructor Detail

### JRBaseExpressionChunk

    protected JRBaseExpressionChunk()

### JRBaseExpressionChunk

    protected JRBaseExpressionChunk(JRExpressionChunk queryChunk,
                                    JRBaseObjectFactory factory)

Method Detail

### getType

    public byte getType()

  Specified by:
    `getType` in interface `JRExpressionChunk`

### getText

    public java.lang.String getText()

  Specified by:
    `getText` in interface `JRExpressionChunk`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com